#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: SafeSemaphore
version: 0.10.1
id: SafeSemaphore-0.10.1-a5ebd2942a7d080f83113e5c1dd00316
key: SafeS_3euke6WurQpHmwCnL5TnPc
license: BSD3
maintainer: Chris Kuklewicz <haskell@list.mightyreason.com>
homepage: https://github.com/ChrisKuklewicz/SafeSemaphore
synopsis: Much safer replacement for QSemN, QSem, and SampleVar
description:
    This provides a much safer semaphore than the QSem, QSemN, SampleVar in base.
    Those base modules are not exception safe and can be broken by killThread.
    See <https://github.com/ChrisKuklewicz/SafeSemaphore> for more details.
category: Concurrency
author: Chris Kuklewicz <haskell@list.mightyreason.com>
exposed: True
exposed-modules:
    Control.Concurrent.MSem Control.Concurrent.MSemN
    Control.Concurrent.MSemN2 Control.Concurrent.MSampleVar
    Control.Concurrent.FairRWLock Control.Concurrent.SSem
    Control.Concurrent.STM.SSem
hidden-modules: Control.Concurrent.STM.SSemInternals
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/SafeSemaphore-0.10.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/SafeSemaphore-0.10.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/SafeSemaphore-0.10.1
hs-libraries: HSSafeSemaphore-0.10.1-3euke6WurQpHmwCnL5TnPc
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    stm-2.4.4-2526ff89874f899372b2e4f544bb03cd
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/SafeSemaphore-0.10.1/html/SafeSemaphore.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/SafeSemaphore-0.10.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
